default_language_version:
    python: python3.10

repos:
    - repo: https://github.com/commitizen-tools/commitizen
      rev: v2.38.0
      hooks:
          - id: commitizen
            stages: [commit-msg]

    - repo: https://github.com/pycqa/isort.git
      rev: 5.12.0
      hooks:
          - id: isort
            args: ["--profile", "black", "--filter-files"]

    - repo: https://github.com/pre-commit/pre-commit-hooks
      rev: v2.3.0
      hooks:
          - id: trailing-whitespace
          - id: check-merge-conflict
          - id: check-ast
          - id: check-json
          - id: check-yaml
          - id: mixed-line-ending
          - id: end-of-file-fixer

    - repo: https://github.com/psf/black
      rev: 22.10.0
      hooks:
          - id: black

    - repo: https://github.com/pycqa/flake8
      rev: 6.0.0
      hooks:
          - id: flake8
            additional_dependencies: [flake8-bugbear==22.10.27, flake8-future-import==0.4.7]
            args: [--min-version=3.10, --config=setup.cfg]

    - repo: https://github.com/asottile/pyupgrade
      rev: v3.2.3
      hooks:
          - id: pyupgrade
            args: [--py310-plus]

    - repo: https://github.com/adrienverge/yamllint.git
      rev: v1.28.0
      hooks:
          - id: yamllint
            args: [-c=.yamllint]

    - repo: https://github.com/pre-commit/mirrors-mypy
      rev: v0.991
      hooks:
          - id: mypy
            additional_dependencies: ["types-python-dateutil"]
            files: ^woob/
